Bug 1771453 - [Content View Filter] - Content View Publish is failing for module stream filters with Dependency Solve 'Yes'
Summary: [Content View Filter] - Content View Publish is failing for module stream fil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.7.0
Hardware: All
OS: All
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 11:53 UTC by Omkar Khatavkar
Modified: 2020-04-14 13:27 UTC (History)
4 users (show)

Fixed In Version: libsolv-0.7.4-4.pulp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:20 UTC

Description Omkar Khatavkar 2019-11-12 11:53:59 UTC
Description of problem:
Content View Publish is failing for module stream filters with Dependency Solve 'Yes'

Version-Release number of selected component (if applicable):
Satellite 6.7 Snap 1

How reproducible:
Always 

Steps to Reproduce:

Verify Module Stream Content View Filter's with Dependency Solve 'Yes'.
If dependency solving enabled then dependent module streams will be fetched
over even if the exclude filter has been applied.

e.g. duck module stream is dependent on kangaroo stream, hence even if add only
exclude filter on kangaroo it will get ignored as it is fetched because of duck
module stream. but if both duck and kangaroo module streams are in exclude filter both will not get fetched.

Actual results:
Publish task is failing with an error Katello::Errors::PulpError: PLP0000: whatcontainsdep

Expected results:
Content should get published 

Additional info:

Comment 11 Omkar Khatavkar 2019-11-25 10:44:26 UTC
@Brad, I verified this bug in latest Satellite 6.7 with snap 3. I was able to promote the content view. This issue is resolved now.

Comment 14 errata-xmlrpc 2020-04-14 13:27:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.